Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/IterativeInsertionCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/IterativeInsertionCreator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/IterativeInsertionCreator.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    private IterativeInsertionCreator(bool deserializing) : base(deserializing) { }
+    private IterativeInsertionCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public IterativeInsertionCreator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/PotvinCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/PotvinCreator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/PotvinCreator.cs	(revision 15018)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected PotvinCreator(bool deserializing) : base(deserializing) { }
+    protected PotvinCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinCreator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/PushForwardInsertionCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/PushForwardInsertionCreator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/PushForwardInsertionCreator.cs	(revision 15018)
@@ -62,5 +62,5 @@
 
     [StorableConstructor]
-    private PushForwardInsertionCreator(bool deserializing) : base(deserializing) { }
+    private PushForwardInsertionCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PushForwardInsertionCreator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Crossovers/PotvinCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Crossovers/PotvinCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Crossovers/PotvinCrossover.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected PotvinCrossover(bool deserializing) : base(deserializing) { }
+    protected PotvinCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinCrossover() {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Crossovers/PotvinInsertionBasedCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Crossovers/PotvinInsertionBasedCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Crossovers/PotvinInsertionBasedCrossover.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private PotvinInsertionBasedCrossover(bool deserializing) : base(deserializing) { }
+    private PotvinInsertionBasedCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     private PotvinInsertionBasedCrossover(PotvinInsertionBasedCrossover original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Crossovers/PotvinRouteBasedCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Crossovers/PotvinRouteBasedCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Crossovers/PotvinRouteBasedCrossover.cs	(revision 15018)
@@ -31,5 +31,5 @@
   public sealed class PotvinRouteBasedCrossover : PotvinCrossover {
     [StorableConstructor]
-    private PotvinRouteBasedCrossover(bool deserializing) : base(deserializing) { }
+    private PotvinRouteBasedCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinRouteBasedCrossover()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Crossovers/PotvinSequenceBasedCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Crossovers/PotvinSequenceBasedCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Crossovers/PotvinSequenceBasedCrossover.cs	(revision 15018)
@@ -30,5 +30,5 @@
   public sealed class PotvinSequenceBasedCrossover : PotvinCrossover {
     [StorableConstructor]
-    private PotvinSequenceBasedCrossover(bool deserializing) : base(deserializing) { }
+    private PotvinSequenceBasedCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinSequenceBasedCrossover()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinLocalSearchManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinLocalSearchManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinLocalSearchManipulator.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private PotvinLocalSearchManipulator(bool deserializing) : base(deserializing) { }
+    private PotvinLocalSearchManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinLocalSearchManipulator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinManipulator.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected PotvinManipulator(bool deserializing) : base(deserializing) { }
+    protected PotvinManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinManipulator() {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinOneLevelExchangeManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinOneLevelExchangeManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinOneLevelExchangeManipulator.cs	(revision 15018)
@@ -30,5 +30,5 @@
   public sealed class PotvinOneLevelExchangeMainpulator : PotvinManipulator {
     [StorableConstructor]
-    private PotvinOneLevelExchangeMainpulator(bool deserializing) : base(deserializing) { }
+    private PotvinOneLevelExchangeMainpulator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinOneLevelExchangeMainpulator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinPairwiseOneLevelExchangeManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinPairwiseOneLevelExchangeManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinPairwiseOneLevelExchangeManipulator.cs	(revision 15018)
@@ -32,5 +32,5 @@
   public sealed class PotvinPairwiseOneLevelExchangeMainpulator : PotvinManipulator {
     [StorableConstructor]
-    private PotvinPairwiseOneLevelExchangeMainpulator(bool deserializing) : base(deserializing) { }
+    private PotvinPairwiseOneLevelExchangeMainpulator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPairwiseOneLevelExchangeMainpulator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinPairwiseTwoLevelExchangeManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinPairwiseTwoLevelExchangeManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinPairwiseTwoLevelExchangeManipulator.cs	(revision 15018)
@@ -33,5 +33,5 @@
   public sealed class PotvinPairwiseTwoLevelExchangeManipulator : PotvinManipulator {
     [StorableConstructor]
-    private PotvinPairwiseTwoLevelExchangeManipulator(bool deserializing) : base(deserializing) { }
+    private PotvinPairwiseTwoLevelExchangeManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPairwiseTwoLevelExchangeManipulator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinTwoLevelExchangeManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinTwoLevelExchangeManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinTwoLevelExchangeManipulator.cs	(revision 15018)
@@ -30,5 +30,5 @@
   public sealed class PotvinTwoLevelExchangeManipulator : PotvinManipulator {
     [StorableConstructor]
-    private PotvinTwoLevelExchangeManipulator(bool deserializing) : base(deserializing) { }
+    private PotvinTwoLevelExchangeManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinTwoLevelExchangeManipulator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinVehicleAssignmentManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinVehicleAssignmentManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Manipulators/PotvinVehicleAssignmentManipulator.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    private PotvinVehicleAssignmentMainpulator(bool deserializing) : base(deserializing) { }
+    private PotvinVehicleAssignmentMainpulator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinVehicleAssignmentMainpulator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationExhaustiveMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationExhaustiveMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationExhaustiveMoveGenerator.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    private PotvinCustomerRelocationExhaustiveMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinCustomerRelocationExhaustiveMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinCustomerRelocationExhaustiveMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMove.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMove.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMove.cs	(revision 15018)
@@ -73,5 +73,5 @@
 
     [StorableConstructor]
-    protected PotvinCustomerRelocationMove(bool deserializing) : base(deserializing) { }
+    protected PotvinCustomerRelocationMove(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     #region IVRPMove Members
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveAttribute.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveAttribute.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveAttribute.cs	(revision 15018)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected PotvinCustomerRelocationMoveAttribute(bool deserializing) : base(deserializing) { }
+    protected PotvinCustomerRelocationMoveAttribute(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinCustomerRelocationMoveAttribute(PotvinCustomerRelocationMoveAttribute original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveEvaluator.cs	(revision 15018)
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    private PotvinCustomerRelocationMoveEvaluator(bool deserializing) : base(deserializing) { }
+    private PotvinCustomerRelocationMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinCustomerRelocationMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveGenerator.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected PotvinCustomerRelocationMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected PotvinCustomerRelocationMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinCustomerRelocationMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveMaker.cs	(revision 15018)
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    protected PotvinCustomerRelocationMoveMaker(bool deserializing) : base(deserializing) { }
+    protected PotvinCustomerRelocationMoveMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinCustomerRelocationMoveMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveTabuCriterion.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveTabuCriterion.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveTabuCriterion.cs	(revision 15018)
@@ -73,5 +73,5 @@
 
     [StorableConstructor]
-    protected PotvinCustomerRelocationMoveTabuCriterion(bool deserializing) : base(deserializing) { }
+    protected PotvinCustomerRelocationMoveTabuCriterion(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinCustomerRelocationMoveTabuCriterion(PotvinCustomerRelocationMoveTabuCriterion original, Cloner cloner) : base(original, cloner) { }
     public PotvinCustomerRelocationMoveTabuCriterion()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveTabuMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveTabuMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveTabuMaker.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected PotvinCustomerRelocationMoveTabuMaker(bool deserializing) : base(deserializing) { }
+    protected PotvinCustomerRelocationMoveTabuMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinCustomerRelocationMoveTabuMaker(PotvinCustomerRelocationMoveTabuMaker original, Cloner cloner) : base(original, cloner) { }
     public PotvinCustomerRelocationMoveTabuMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMultiMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMultiMoveGenerator.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    private PotvinCustomerRelocationMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinCustomerRelocationMultiMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinCustomerRelocationMultiMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationSingleMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationSingleMoveGenerator.cs	(revision 15018)
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    private PotvinCustomerRelocationSingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinCustomerRelocationSingleMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinCustomerRelocationSingleMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeExhaustiveMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeExhaustiveMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeExhaustiveMoveGenerator.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private PotvinPDExchangeExhaustiveMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinPDExchangeExhaustiveMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDExchangeExhaustiveMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMove.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMove.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMove.cs	(revision 15018)
@@ -65,5 +65,5 @@
 
     [StorableConstructor]
-    protected PotvinPDExchangeMove(bool deserializing) : base(deserializing) { }
+    protected PotvinPDExchangeMove(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveEvaluator.cs	(revision 15018)
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    private PotvinPDExchangeMoveEvaluator(bool deserializing) : base(deserializing) { }
+    private PotvinPDExchangeMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDExchangeMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveGenerator.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected PotvinPDExchangeMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected PotvinPDExchangeMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDExchangeMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveMaker.cs	(revision 15018)
@@ -41,5 +41,5 @@
 
     [StorableConstructor]
-    protected PotvinPDExchangeMoveMaker(bool deserializing) : base(deserializing) { }
+    protected PotvinPDExchangeMoveMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDExchangeMoveMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveTabuCriterion.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveTabuCriterion.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveTabuCriterion.cs	(revision 15018)
@@ -83,5 +83,5 @@
 
     [StorableConstructor]
-    protected PotvinPDExchangeTabuCriterion(bool deserializing) : base(deserializing) { }
+    protected PotvinPDExchangeTabuCriterion(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinPDExchangeTabuCriterion(PotvinPDExchangeTabuCriterion original, Cloner cloner) : base(original, cloner) { }
     public PotvinPDExchangeTabuCriterion()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveTabuMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveTabuMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveTabuMaker.cs	(revision 15018)
@@ -77,5 +77,5 @@
 
     [StorableConstructor]
-    protected PotvinPDExchangeMoveTabuMaker(bool deserializing) : base(deserializing) { }
+    protected PotvinPDExchangeMoveTabuMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinPDExchangeMoveTabuMaker(PotvinPDExchangeMoveTabuMaker original, Cloner cloner) : base(original, cloner) { }
     public PotvinPDExchangeMoveTabuMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMultiMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMultiMoveGenerator.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    private PotvinPDExchangeMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinPDExchangeMultiMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDExchangeMultiMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeSingleMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeSingleMoveGenerator.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    private PotvinPDExchangeSingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinPDExchangeSingleMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDExchangeSingleMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeExhaustiveMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeExhaustiveMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeExhaustiveMoveGenerator.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private PotvinPDRearrangeExhaustiveMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinPDRearrangeExhaustiveMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDRearrangeExhaustiveMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMove.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMove.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMove.cs	(revision 15018)
@@ -69,5 +69,5 @@
 
     [StorableConstructor]
-    protected PotvinPDRearrangeMove(bool deserializing) : base(deserializing) { }
+    protected PotvinPDRearrangeMove(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     #region IVRPMove Members
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveEvaluator.cs	(revision 15018)
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    private PotvinPDRearrangeMoveEvaluator(bool deserializing) : base(deserializing) { }
+    private PotvinPDRearrangeMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDRearrangeMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveGenerator.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected PotvinPDRearrangeMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected PotvinPDRearrangeMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDRearrangeMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveMaker.cs	(revision 15018)
@@ -41,5 +41,5 @@
 
     [StorableConstructor]
-    protected PotvinPDRearrangeMoveMaker(bool deserializing) : base(deserializing) { }
+    protected PotvinPDRearrangeMoveMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDRearrangeMoveMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveTabuCriterion.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveTabuCriterion.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveTabuCriterion.cs	(revision 15018)
@@ -83,5 +83,5 @@
 
     [StorableConstructor]
-    protected PotvinPDRearrangeTabuCriterion(bool deserializing) : base(deserializing) { }
+    protected PotvinPDRearrangeTabuCriterion(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinPDRearrangeTabuCriterion(PotvinPDRearrangeTabuCriterion original, Cloner cloner) : base(original, cloner) { }
     public PotvinPDRearrangeTabuCriterion()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveTabuMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveTabuMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveTabuMaker.cs	(revision 15018)
@@ -59,5 +59,5 @@
 
     [StorableConstructor]
-    protected PotvinPDRearrangeMoveTabuMaker(bool deserializing) : base(deserializing) { }
+    protected PotvinPDRearrangeMoveTabuMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinPDRearrangeMoveTabuMaker(PotvinPDRearrangeMoveTabuMaker original, Cloner cloner) : base(original, cloner) { }
     public PotvinPDRearrangeMoveTabuMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMultiMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMultiMoveGenerator.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    private PotvinPDRearrangeMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinPDRearrangeMultiMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDRearrangeMultiMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeSingleMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeSingleMoveGenerator.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    private PotvinPDRearrangeSingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinPDRearrangeSingleMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDRearrangeSingleMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftExhaustiveMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftExhaustiveMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftExhaustiveMoveGenerator.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private PotvinPDShiftExhaustiveMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinPDShiftExhaustiveMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDShiftExhaustiveMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMove.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMove.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMove.cs	(revision 15018)
@@ -74,5 +74,5 @@
 
     [StorableConstructor]
-    protected PotvinPDShiftMove(bool deserializing) : base(deserializing) { }
+    protected PotvinPDShiftMove(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     #region IVRPMove Members
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveEvaluator.cs	(revision 15018)
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    private PotvinPDShiftMoveEvaluator(bool deserializing) : base(deserializing) { }
+    private PotvinPDShiftMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDShiftMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveGenerator.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected PotvinPDShiftMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected PotvinPDShiftMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDShiftMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveMaker.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected PotvinPDShiftMoveMaker(bool deserializing) : base(deserializing) { }
+    protected PotvinPDShiftMoveMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDShiftMoveMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveTabuCriterion.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveTabuCriterion.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveTabuCriterion.cs	(revision 15018)
@@ -83,5 +83,5 @@
 
     [StorableConstructor]
-    protected PotvinPDShiftTabuCriterion(bool deserializing) : base(deserializing) { }
+    protected PotvinPDShiftTabuCriterion(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinPDShiftTabuCriterion(PotvinPDShiftTabuCriterion original, Cloner cloner) : base(original, cloner) { }
     public PotvinPDShiftTabuCriterion()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveTabuMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveTabuMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveTabuMaker.cs	(revision 15018)
@@ -59,5 +59,5 @@
 
     [StorableConstructor]
-    protected PotvinPDShiftMoveTabuMaker(bool deserializing) : base(deserializing) { }
+    protected PotvinPDShiftMoveTabuMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinPDShiftMoveTabuMaker(PotvinPDShiftMoveTabuMaker original, Cloner cloner) : base(original, cloner) { }
     public PotvinPDShiftMoveTabuMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMultiMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMultiMoveGenerator.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    private PotvinPDShiftMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinPDShiftMultiMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDShiftMultiMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftSingleMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftSingleMoveGenerator.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    private PotvinPDShiftSingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinPDShiftSingleMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinPDShiftSingleMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PotvinPDRelocateMoveAttribute.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PotvinPDRelocateMoveAttribute.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PotvinPDRelocateMoveAttribute.cs	(revision 15018)
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected PotvinPDRelocateMoveAttribute(bool deserializing) : base(deserializing) { }
+    protected PotvinPDRelocateMoveAttribute(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinPDRelocateMoveAttribute(PotvinPDRelocateMoveAttribute original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveEvaluator.cs	(revision 15018)
@@ -30,5 +30,5 @@
   public abstract class PotvinMoveEvaluator : VRPMoveEvaluator, IPotvinOperator {
     [StorableConstructor]
-    protected PotvinMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected PotvinMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveGenerator.cs	(revision 15018)
@@ -31,5 +31,5 @@
   public abstract class PotvinMoveGenerator : VRPMoveGenerator, IPotvinOperator {
     [StorableConstructor]
-    protected PotvinMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected PotvinMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveMaker.cs	(revision 15018)
@@ -30,5 +30,5 @@
   public abstract class PotvinMoveMaker : VRPMoveMaker, IPotvinOperator {
     [StorableConstructor]
-    protected PotvinMoveMaker(bool deserializing) : base(deserializing) { }
+    protected PotvinMoveMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinMoveMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarExhaustiveMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarExhaustiveMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarExhaustiveMoveGenerator.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    private PotvinTwoOptStarExhaustiveMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinTwoOptStarExhaustiveMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinTwoOptStarExhaustiveMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMove.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMove.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMove.cs	(revision 15018)
@@ -80,5 +80,5 @@
 
     [StorableConstructor]
-    protected PotvinTwoOptStarMove(bool deserializing) : base(deserializing) { }
+    protected PotvinTwoOptStarMove(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     #region IVRPMove Members
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveAttribute.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveAttribute.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveAttribute.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected PotvinTwoOptStarMoveAttribute(bool deserializing) : base(deserializing) { }
+    protected PotvinTwoOptStarMoveAttribute(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinTwoOptStarMoveAttribute(PotvinTwoOptStarMoveAttribute original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveEvaluator.cs	(revision 15018)
@@ -37,5 +37,5 @@
     }
     [StorableConstructor]
-    private PotvinTwoOptStarMoveEvaluator(bool deserializing) : base(deserializing) { }
+    private PotvinTwoOptStarMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinTwoOptStarMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveGenerator.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected PotvinTwoOptStarMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected PotvinTwoOptStarMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinTwoOptStarMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveMaker.cs	(revision 15018)
@@ -41,5 +41,5 @@
 
     [StorableConstructor]
-    protected PotvinTwoOptStarMoveMaker(bool deserializing) : base(deserializing) { }
+    protected PotvinTwoOptStarMoveMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinTwoOptStarMoveMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveTabuCriterion.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveTabuCriterion.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveTabuCriterion.cs	(revision 15018)
@@ -84,5 +84,5 @@
 
     [StorableConstructor]
-    protected PotvinTwoOptStarMoveTabuCriterion(bool deserializing) : base(deserializing) { }
+    protected PotvinTwoOptStarMoveTabuCriterion(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinTwoOptStarMoveTabuCriterion(PotvinTwoOptStarMoveTabuCriterion original, Cloner cloner) : base(original, cloner) { }
     public PotvinTwoOptStarMoveTabuCriterion()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveTabuMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveTabuMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveTabuMaker.cs	(revision 15018)
@@ -75,5 +75,5 @@
 
     [StorableConstructor]
-    protected PotvinTwoOptStarMoveTabuMaker(bool deserializing) : base(deserializing) { }
+    protected PotvinTwoOptStarMoveTabuMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinTwoOptStarMoveTabuMaker(PotvinTwoOptStarMoveTabuMaker original, Cloner cloner) : base(original, cloner) { }
     public PotvinTwoOptStarMoveTabuMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMultiMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMultiMoveGenerator.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    private PotvinTwoOptStarMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinTwoOptStarMultiMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinTwoOptStarMultiMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarSingleMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarSingleMoveGenerator.cs	(revision 15018)
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    private PotvinTwoOptStarSingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinTwoOptStarSingleMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinTwoOptStarSingleMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentExhaustiveMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentExhaustiveMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentExhaustiveMoveGenerator.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    private PotvinVehicleAssignmentExhaustiveMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinVehicleAssignmentExhaustiveMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinVehicleAssignmentExhaustiveMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMove.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMove.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMove.cs	(revision 15018)
@@ -69,5 +69,5 @@
 
     [StorableConstructor]
-    protected PotvinVehicleAssignmentMove(bool deserializing) : base(deserializing) { }
+    protected PotvinVehicleAssignmentMove(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     #region IVRPMove Members
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveAttribute.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveAttribute.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveAttribute.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected PotvinVehicleAssignmentMoveAttribute(bool deserializing) : base(deserializing) { }
+    protected PotvinVehicleAssignmentMoveAttribute(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinVehicleAssignmentMoveAttribute(PotvinVehicleAssignmentMoveAttribute original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveEvaluator.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    private PotvinVehicleAssignmentMoveEvaluator(bool deserializing) : base(deserializing) { }
+    private PotvinVehicleAssignmentMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinVehicleAssignmentMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveGenerator.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected PotvinVehicleAssignmentMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected PotvinVehicleAssignmentMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinVehicleAssignmentMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveMaker.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected PotvinVehicleAssignmentMoveMaker(bool deserializing) : base(deserializing) { }
+    protected PotvinVehicleAssignmentMoveMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinVehicleAssignmentMoveMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveTabuCriterion.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveTabuCriterion.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveTabuCriterion.cs	(revision 15018)
@@ -83,5 +83,5 @@
 
     [StorableConstructor]
-    protected PotvinVehicleAssignmentMoveTabuCriterion(bool deserializing) : base(deserializing) { }
+    protected PotvinVehicleAssignmentMoveTabuCriterion(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinVehicleAssignmentMoveTabuCriterion(PotvinVehicleAssignmentMoveTabuCriterion original, Cloner cloner) : base(original, cloner) { }
     public PotvinVehicleAssignmentMoveTabuCriterion()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveTabuMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveTabuMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveTabuMaker.cs	(revision 15018)
@@ -74,5 +74,5 @@
 
     [StorableConstructor]
-    protected PotvinVehicleAssignmentMoveTabuMaker(bool deserializing) : base(deserializing) { }
+    protected PotvinVehicleAssignmentMoveTabuMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PotvinVehicleAssignmentMoveTabuMaker(PotvinVehicleAssignmentMoveTabuMaker original, Cloner cloner) : base(original, cloner) { }
     public PotvinVehicleAssignmentMoveTabuMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMultiMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMultiMoveGenerator.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    private PotvinVehicleAssignmentMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinVehicleAssignmentMultiMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinVehicleAssignmentMultiMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentSingleMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentSingleMoveGenerator.cs	(revision 15018)
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    private PotvinVehicleAssignmentSingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    private PotvinVehicleAssignmentSingleMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public PotvinVehicleAssignmentSingleMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/PotvinEncoding.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/PotvinEncoding.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/PotvinEncoding.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected PotvinEncoding(bool serializing)
+    protected PotvinEncoding(StorableConstructorFlag serializing)
       : base(serializing) {
     }
